{
  "format_version": "1.20.50",
  "minecraft:block": {

    "description": {
      "identifier": "mythicus_im:hdc.crafter",
      "register_to_creative_menu": true,
      "menu_category": {
        "category": "items",
        "is_hidden_in_commands": false
      },
      "traits": {
        "minecraft:placement_direction": {
          "enabled_states": [ "minecraft:cardinal_direction" ],
          "y_rotation_offset": 180
        }
      },
      "states": {
        "mythicus_im:outlined": [false, true]
      }
    },

    "permutations": [
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'north'",
        "components": {
          "minecraft:transformation": {
            "rotation": [ 0, 0, 0 ]
          }
        }
      },
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'south'",
        "components": {
          "minecraft:transformation": {
            "rotation": [ 0, 180, 0 ]
          }
        }
      },
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'west'",
        "components": {
          "minecraft:transformation": {
            "rotation": [ 0, 90, 0 ]
          }
        }
      },
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'east'",
        "components": {
          "minecraft:transformation": {
            "rotation": [ 0, -90, 0 ]
          }
        }
      }

    ],

    "components": {
      
      // default
      "minecraft:display_name": "tile.mythicus_im:hdc.crafter.name",
      "minecraft:geometry": "geometry.mythicus_im.block.hdc.crafter",
      "minecraft:material_instances": {
        "*": {
          "texture": "mythicus_im.hdc.crafter",
          "ambient_occlusion": true,
          "face_dimming": false,
          "render_method": "alpha_test"
        }
      },
      "minecraft:placement_filter": {
        "conditions": [ { "allowed_faces": [ "up", "side" ] } ]
      },

      // specific
      "minecraft:loot": "loot_tables/mythicus/hdc/block/empty.json",
      "minecraft:destructible_by_explosion": false,
      "minecraft:destructible_by_mining": {
        "seconds_to_destroy": 2
      },

      // custom components
      "minecraft:custom_components": [ "mythicus_im:hdc.crafter" ],

      // tags
      "tag:mythicus_im:hdc.crafter": {},
      "tag:mythicus_im:default": {}

    }

  }
}